# AudioMask Class Reference

`#include <AudioMask.H>`

Inheritance diagram for AudioMask:

List of all members.

## Public Member Functions

| AudioMask (int sampFreq, int fBankCount)
| ~AudioMask (void)
| Deconstructor.
void | setCFreq (int which, double value)
void | exciteTerhardt (double **filterBankOutput, int sampleCount)
void | exciteBeerends (double **filterBankOutput, int sampleCount)

## Public Attributes

double * | mask
| The audio mask.
double | max
| The maximum value of the mask.

## Protected Attributes

int | fs
| Sample frequency.

## Detailed Description

Evaluates the Dr M.R. Flax (2000) hybrid simultaneous audio mask Handles the evaluation of the simultaneous audio mask given a filter bank sub-banded output and sample count

## Constructor & Destructor Documentation

AudioMask::AudioMask | ( | int | sampFreq,
|  | int | fBankCount |
| ) |  |  |

Constructs the memory and factors for calculating the audio mask @ sampFreq The sample frequency @ fBankCount The number of filter sub-bands

## Member Function Documentation

void AudioMask::exciteTerhardt | ( | double ** | filterBankOutput,
|  | int | sampleCount |
| ) |  |  |

Method for finding the Preceptual Audio Mask using the Terhardt model @ filterBankOutput The output of the filter bank @ sampleCount The number of samples

void AudioMask::setCFreq | ( | int | which,
|  | double | value |
| ) |  |  | `[inline]`

Method for setting the centre freqs @ which The sub-band @ value The correcponding central frequency

Reimplemented from MooreSpread.

The documentation for this class was generated from the following files:

- AudioMask.H
- AudioMask.cc

All Classes Files Functions Variables